MissingOptionException (Commons CLI 1.2 API)
Keywords: org.apache.commons.cli.MissingOptionException class

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.cli
Class MissingOptionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.cli.ParseException
                  org.apache.commons.cli.MissingOptionException

All Implemented Interfaces:
  Serializable

    public class MissingOptionException

extends ParseException

Thrown when a required option has not been provided.

Version:
  $Revision: 680644 $, $Date: 2008-07-29 01:13:48 -0700 (Tue, 29 Jul 2008) $
Author:
  John Keyes ( john at integralsource.com )
See Also:
  Serialized Form

Constructor Summary
`MissingOptionException(List missingOptions)` Constructs a new `MissingSelectedException` with the specified list of missing options.
`MissingOptionException(String message)` Construct a new `MissingSelectedException` with the specified detail message.

Method Summary
`List` | `getMissingOptions()` Return the list of options (as strings) missing in the command line parsed.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingOptionException

    public MissingOptionException(String message)

  Construct a new `MissingSelectedException` with the specified detail message.

  Parameters:
    `message` - the detail message

### MissingOptionException

    public MissingOptionException(List missingOptions)

  Constructs a new `MissingSelectedException` with the specified list of missing options.

  Parameters:
    `missingOptions` - the list of missing options
  Since:
    1.2

Method Detail

### getMissingOptions

    public List getMissingOptions()

  Return the list of options (as strings) missing in the command line parsed.

  Returns:
    the missing options
  Since:
    1.2

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 The Apache Software Foundation. All Rights Reserved.